Bug 114559 - copy paste from Calc to Writer defective
Summary: copy paste from Calc to Writer defective
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.7.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2017-12-19 15:08 UTC by fredo69008
Modified: 2018-12-22 03:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot problem (639.00 KB, image/jpeg)
2017-12-19 15:13 UTC, fredo69008
Details

Note You need to log in before you can comment on or make changes to this bug.
Description fredo69008 2017-12-19 15:08:16 UTC
Description:
hello,
I use this page to create a calendar.
http://trk.free.fr/calendrier/download.html
12-leaf wall calendar
- Presentation on 12 A4 or half A4 sheets to create a wall calendar to flip through
http://trk.free.fr/calendrier/calendrier_mural_12_feuilles_A4.ods

With the perpetual calendar,
and I select the desired month,
I copy and paste on a new page, text document "writer" libre office.

https://image.noelshack.com/fichiers/2017/51/2/1513695606-copie-ecran.jpg
now it does not work anymore.

Actual Results:  
the boxes are filled with bad information

Expected Results:
I asked the owner of the calendar, he says that free office is defective


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux i686; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 fredo69008 2017-12-19 15:13:33 UTC
Created attachment 138523 [details]
screenshot problem
Comment 2 Eike Rathke 2017-12-21 14:11:52 UTC
Seems that array formulas referencing a different sheet than the one copied are a problem when copying to another document to be embedded.

Workaround: First Paste Special (Shift+Ctrl+V) to an empty area (or a new sheet in the same document) in Calc and make sure Formulas are not copied, but only Text, Numbers, Date&Time and Formats. Then select the resulting cell range and copy&paste to Writer.
Comment 3 QA Administrators 2018-12-22 03:53:07 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug